# eth\_getFilterChanges

1. #### Parameters

   <mark style="color:blue;">filter ID</mark> string REQUIRED

   The filter id that is returned from eth\_newFilter, eth\_newBlockFilter or eth\_newPendingTransactionFilter

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getFilterChanges","params":["YOUR_FILTER_ID"],"id":1,"jsonrpc":"2.0"}'
```

2. #### Returns

* <mark style="color:blue;">array</mark>-An array of one of the following, depending on the filter type, or empty if there were no changes since the last poll:
  * <mark style="color:blue;">eth\_newBlockFilter</mark>
    * <mark style="color:blue;">blockHash-</mark>The 32 byte hash of a block that meets your filter requirements
  * <mark style="color:blue;">eth\_newPendingTransactionFilter</mark>
    * <mark style="color:blue;">transactionHash-</mark>The 32 byte hash of a transaction that meets your filter requirements
  * <mark style="color:blue;">eth\_newFilter-</mark> The 32 byte hash of a transaction that meets your filter requirements
    * <mark style="color:blue;">address-</mark>An address from which this log originated
    * <mark style="color:blue;">topics-</mark>An array of zero to four 32 Bytes DATA of indexed log arguments. In Solidity, the first topic is the hash of the signature of the event (e.g. Deposit(address, bytes32, uint256)), except you declare the event with the anonymous specifier
    * <mark style="color:blue;">data-</mark>It contains one or more 32 Bytes non-indexed arguments of the log
    * <mark style="color:blue;">blockNumber-</mark>The block number where this log was in. null when its a pending log
    * <mark style="color:blue;">transactionHash</mark> The hash of the transactions this log was created from. null when its a pending log&#x20;
    * <mark style="color:blue;">transactionIndex</mark> The integer of the transaction's index position that the log was created from. null when it's a pending log&#x20;
    * <mark style="color:blue;">blockHash</mark> The hash of the block where this log was in. null when its a pending log&#x20;
    * <mark style="color:blue;">logIndex</mark> The integer of the log index position in the block. null when it's a pending log&#x20;
    * <mark style="color:blue;">removed</mark> It is true when the log was removed due to a chain reorganization, and false if it's a valid log
  *


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getfilterchanges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
